! ========================= stats =====================
! Stats computes and prints out the max S values
! Arguments:
!
!   s2	  input   real array   latest array values
!   nx	  input   integer      size of data array without ghost zones
!   n	  input   integer      time step counter
!   smax  output  real         holds max absolute value of s2
!
    subroutine stats(s2,nx,n,smax)
    implicit none

    integer, intent(in)                 :: n,nx
    real, intent(out)                   :: smax
    real, dimension(0:nx+1), intent(in) :: s2

    integer :: i

    smax = maxval( s2(1:nx) )

    write(6,1) n,smax
1   format('Step ',i4,', Max = ',f9.5)

    return

    end subroutine stats
